Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/ContentCreateStruct.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content;
8
14 abstract class ContentCreateStruct extends ContentStruct
15 {
23 public $contentType;
24
31 public $sectionId;
32
38 public $ownerId;
39
45 public $alwaysAvailable;
46
54 public $remoteId;
55
65 public $mainLanguageCode;
66
72 public $modificationDate;
73 }
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct
Definition: API/Repository/Values/Content/ContentCreateStruct.php:15
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$ownerId
$ownerId
Definition: API/Repository/Values/Content/ContentCreateStruct.php:38
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$modificationDate
$modificationDate
Definition: API/Repository/Values/Content/ContentCreateStruct.php:72
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$contentType
$contentType
Definition: API/Repository/Values/Content/ContentCreateStruct.php:23
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$remoteId
$remoteId
Definition: API/Repository/Values/Content/ContentCreateStruct.php:54
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$sectionId
$sectionId
Definition: API/Repository/Values/Content/ContentCreateStruct.php:31
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$alwaysAvailable
$alwaysAvailable
Definition: API/Repository/Values/Content/ContentCreateStruct.php:45
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$mainLanguageCode
$mainLanguageCode
Definition: API/Repository/Values/Content/ContentCreateStruct.php:65
eZ\Publish\API\Repository\Values\Content\ContentStruct
Definition: ContentStruct.php:17
eZ\Publish\API\Repository\Values\Content
Definition: Publish/API/Repository/Values/Content/Content.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.